From 43b2b27c14186a9a3eff917d7598751ed298ae20 Mon Sep 17 00:00:00 2001
From: Hector Martin <marcan@marcan.st>
Date: Sun, 31 May 2020 21:25:12 +0900
Subject: [PATCH 2/2] Fix build with Boost 1.72.0

---
 .../include/boost/sync/detail/throw_exception.hpp           | 4 ----
 external_libraries/oscpack_build.cpp                        | 6 +++---
 2 files changed, 3 insertions(+), 7 deletions(-)

diff --git a/external_libraries/boost_sync/include/boost/sync/detail/throw_exception.hpp b/external_libraries/boost_sync/include/boost/sync/detail/throw_exception.hpp
index b5fdfabf8..a7d7fa7b3 100755
--- a/external_libraries/boost_sync/include/boost/sync/detail/throw_exception.hpp
+++ b/external_libraries/boost_sync/include/boost/sync/detail/throw_exception.hpp
@@ -164,11 +164,7 @@ BOOST_NOINLINE BOOST_NORETURN void throw_exception(const char* func, const char*
 
 #endif // !defined(BOOST_NO_CXX11_RVALUE_REFERENCES) && !defined(BOOST_NO_CXX11_VARIADIC_TEMPLATES)
 
-#if !defined(BOOST_EXCEPTION_DISABLE)
-#define BOOST_SYNC_DETAIL_HERE BOOST_THROW_EXCEPTION_CURRENT_FUNCTION, __FILE__, __LINE__
-#else
 #define BOOST_SYNC_DETAIL_HERE BOOST_CURRENT_FUNCTION, __FILE__, __LINE__
-#endif
 
 #define BOOST_SYNC_DETAIL_THROW_DEFAULT(ex)\
     boost::sync::detail::throw_exception< ex >(BOOST_SYNC_DETAIL_HERE)
diff --git a/external_libraries/oscpack_build.cpp b/external_libraries/oscpack_build.cpp
index 3a658f3d3..1f6283d1c 100644
--- a/external_libraries/oscpack_build.cpp
+++ b/external_libraries/oscpack_build.cpp
@@ -1,8 +1,8 @@
-#include <boost/detail/endian.hpp>
+#include <boost/predef.h>
 
-#ifdef BOOST_LITTLE_ENDIAN
+#if BOOST_ENDIAN_LITTLE_BYTE
 #define OSC_HOST_LITTLE_ENDIAN
-#elif defined(BOOST_BIG_ENDIAN)
+#elif BOOST_ENDIAN_BIG_BYTE
 #define OSC_HOST_BIG_ENDIAN
 #else
 #error please define endianness
-- 
2.26.2

